Bug 485957 - libwnck-devel is missing dependency on libXres-devel
libwnck-devel is missing dependency on libXres-devel
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
: EasyFix
Depends On:
  Show dependency treegraph
Reported: 2009-02-17 12:17 EST by Michel Alexandre Salim
Modified: 2014-06-18 05:10 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-02-24 11:07:23 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2009-02-17 12:17:33 EST
Description of problem:
libwnck-devel's .pc file lists a private dependency on xres:

Requires.private: x11 pango cairo libstartup-notification-1.0 xres

However, the package does not Requires: libXres-devel

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Install libwnck-devel
2. pkg-config --list-all
Actual results:
Package xres was not found in the pkg-config search path.
Perhaps you should add the directory containing `xres.pc'
to the PKG_CONFIG_PATH environment variable
Package 'xres', required by 'libwnck', not found

Expected results:
No error

Additional info:
Comment 1 Christoph Wickert 2009-02-24 10:14:58 EST
Please fix ASAP, several packages fail to build due to this bug.

Note You need to log in before you can comment on or make changes to this bug.